<div class="hrms-wrapper">
    <section class="title">
        <a routerLink="/superAdmin">
            Super Admin</a>
        <h4>FINANCE</h4>
    </section>
    <div class="video-section">
        <div id="home{{i+1}}" *ngFor="let data of financePortalData; let i = index">
            <video height="300" poster="images/video.jpg" controls="controls" playsinline="playsinline">
                <source src="{{hostName + data.media.url}}" type="video/mp4">
            </video>
        </div>
    </div>

    <div class='row container no-margin sections-wrapper'>
        <div class="col-lg-6 col-md-12 reg-form-wrapper">
            <mat-accordion>
                <mat-expansion-panel [expanded]="true">
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Create an employee
                        </mat-panel-title>
                        <mat-panel-description>
                            <span *ngIf='!disableCreateUserForm'>Click to view details</span>
                            <span *ngIf='disableCreateUserForm'>Reached maximum limit</span>
                        </mat-panel-description>
                    </mat-expansion-panel-header>
                    <form [formGroup]="createUserForm" #f="ngForm" *ngIf="verificationId"
                        (ngSubmit)="createAdmin(createUserForm.value)" autocomplete="off">

                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Email</mat-label>
                                <input matInput placeholder="Email" formControlName="emailId" required>
                                <mat-error *ngFor="let validation of validationMessages.emailId">
                                    <mat-error class="error-message" *ngIf="
                            createUserForm.get('emailId').hasError(validation.type) &&
                                (createUserForm.get('emailId').dirty ||
                                createUserForm.get('emailId').touched)
                              ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>First Name</mat-label>
                                <input matInput placeholder="FIrst Name" formControlName="firstName" required>
                                <mat-error *ngFor="let validation of validationMessages.firstName">
                                    <mat-error class="error-message" *ngIf="
                            createUserForm.get('firstName').hasError(validation.type) &&
                                (createUserForm.get('firstName').dirty ||
                                createUserForm.get('firstName').touched)
                              ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Last Name</mat-label>
                                <input matInput placeholder="Last Name" formControlName="lastName" required>
                                <mat-error *ngFor="let validation of validationMessages.lastName">
                                    <mat-error class="error-message" *ngIf="
                            createUserForm.get('lastName').hasError(validation.type) &&
                                (createUserForm.get('lastName').dirty ||
                                createUserForm.get('lastName').touched)
                              ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Employee ID</mat-label>
                                <input matInput placeholder="Employee ID" formControlName="employeeId" required>
                                <mat-error *ngFor="let validation of validationMessages.employeeId">
                                    <mat-error class="error-message" *ngIf="
                            createUserForm.get('employeeId').hasError(validation.type) &&
                                (createUserForm.get('employeeId').dirty ||
                                createUserForm.get('employeeId').touched)
                              ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                        </p>
                        <p class="tool-tip">
                            <mat-form-field appearance="standard">
                                <mat-label>ID</mat-label>
                                <input matInput placeholder="ID" formControlName="iqamaId" required>
                                <mat-error *ngFor="let validation of validationMessages.iqamaId">
                                    <mat-error class="error-message" *ngIf="
                            createUserForm.get('iqamaId').hasError(validation.type) &&
                                (createUserForm.get('iqamaId').dirty ||
                                createUserForm.get('iqamaId').touched)
                              ">{{ validation.message }}</mat-error>
                                </mat-error>
                            </mat-form-field>
                            <i matTooltip="Social ID/National ID/Iqama ID" class="fa fa-question-circle"></i>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Customer Role</mat-label>
                                <mat-select disableRipple formControlName="customerRole" required>
                                    <!-- <mat-option *ngFor="let customerRole of customerRoles" [value]="customerRole">{{customerRole}}</mat-option> -->
                                    <mat-option value="CFO">CFO</mat-option>
                                    <mat-option value="FinanceController">Finance Controller</mat-option>
                                    <mat-option value="FinanceDirector">Finance Director</mat-option>
                                    <mat-option value="FinanceManager">Finance Manager</mat-option>
                                    <mat-option value="FinanceAnalyst">Finance Analyst</mat-option>
                                    <mat-option value="Accountant">Accountant</mat-option>
                                    <mat-option value="ChiefAccountant">Chief Accountant</mat-option>
                                    <mat-option value="Treasurer">Treasurer</mat-option>
                                    <mat-option value="CEO">CEO</mat-option>
                                </mat-select>
                            </mat-form-field>
                        </p>
                        <p>
                            <mat-form-field appearance="standard">
                                <mat-label>Accessbility</mat-label>
                                <mat-select disableRipple formControlName="accessbility" multiple required>
                                    <mat-option *ngFor="let accessbility of accessibilities" [value]="accessbility">
                                        {{accessbility}}</mat-option>
                                </mat-select>
                            </mat-form-field>
                        </p>
                        <p>
                            <button mat-raised-button [disabled]="!createUserForm.valid" class="reg-btn">Create
                                Employee</button>
                        </p>
                    </form>
                </mat-expansion-panel>
            </mat-accordion>
        </div>
        <div class="col-lg-6 col-md-12 customer-table-wrapper">
            <mat-accordion>
                <mat-expansion-panel [expanded]="true" class="disable_ripple">
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Employee Details
                        </mat-panel-title>
                        <mat-panel-description>
                            Click to view details
                        </mat-panel-description>
                    </mat-expansion-panel-header>
                    <table matSort>
                        <tr>
                            <th mat-sort-header="name">User Id</th>
                            <th mat-sort-header="calories">Status</th>
                            <th mat-sort-header="fat">Action</th>
                        </tr>

                        <tr *ngFor="let user of subCustomersData">
                            <td>{{user.emailId}}</td>
                            <td *ngIf="user.active">Active</td>
                            <td *ngIf="!user.active">Inactive</td>
                            <td *ngIf="user.active"> NIL</td>
                            <td *ngIf="!user.active">
                                <button mat-raised-button class="reg-btn"
                                    (click)="retrigger(user.emailId, 'retriggerEmail')"> Resend
                                    Email</button>
                            </td>
                            <td *ngIf="user.active">
                                <button mat-raised-button class="reg-btn"
                                    (click)="retrigger(user.emailId, 'employee-access')"> Disable</button>
                            </td>
                        </tr>
                    </table>
                </mat-expansion-panel>
            </mat-accordion>
        </div>
        <div class="col-12 auth-mat-wrapper">
            <mat-accordion>
                <mat-expansion-panel [expanded]="true" class="disable_ripple">
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Set Authorization Matrix
                        </mat-panel-title>
                        <mat-panel-description>
                            Click to view details
                        </mat-panel-description>
                    </mat-expansion-panel-header>
                    <table matSort>
                        <tr *ngFor="let process of processNames; let i = index">
                            <td>
                                <strong class="matrix-header">
                                    <i *ngIf='!toggle[i]' class="material-icons"
                                        (click)='getProcessDetails(process , i)'> add</i>
                                    <i *ngIf='toggle[i]' class="material-icons" (click)="toggleIcon(i, 'close')">
                                        remove</i>
                                    <span>{{process}}</span>
                                </strong>
                                <div *ngIf='toggle[i]' class='levels-wrapper'>
                                    <form [formGroup]="approverMatrixFormGroup" class="matrix-form">
                                        <mat-list *ngFor="let level of approversArr.controls; let i = index"
                                            [formGroup]="level">
                                            <strong>LEVEL {{i + 1}}</strong>
                                            <mat-form-field>
                                                <mat-label>Select an option</mat-label>
                                                <mat-select formControlName="key">
                                                    <ng-template ngFor let-approver [ngForOf]="levelOfApprovals">
                                                        <mat-option [value]="approver.name">
                                                            {{approver.name}}
                                                        </mat-option>
                                                    </ng-template>
                                                </mat-select>
                                            </mat-form-field>
                                            <mat-form-field>
                                                <mat-label>Select {{level.value.key}}</mat-label>
                                                <mat-select formControlName="value">
                                                    <ng-container *ngIf="level.value.key === 'Role Title'">
                                                        <mat-option [value]="roleTitle"
                                                            *ngFor="let roleTitle of roleTitles">
                                                            {{roleTitle}}
                                                        </mat-option>
                                                    </ng-container>
                                                    <ng-container *ngIf="level.value.key === 'Specific Employee'">
                                                        <ng-template ngFor let-employee [ngForOf]="subCustomersData">
                                                            <mat-option [value]="employee.emailId" *ngIf="employee.active">
                                                                {{employee.emailId}}
                                                            </mat-option>
                                                        </ng-template>
                                                    </ng-container>
                                                </mat-select>
                                            </mat-form-field>
                                            <div class="remove-icon">
                                                <button type="reset" mat-mini-fab class="remove"
                                                    (click)="removeLevel(i)">-</button>
                                            </div>
                                        </mat-list>
                                        <div class="add-icon" *ngIf="!isMaxLimitReached">
                                            <span><button mat-mini-fab (click)="addLevel()">+</button></span> <span
                                                class="text-btn">Add Level</span>
                                        </div>
                                        <div class="set-btn">
                                            <button mat-raised-button (click)="setLevel(process)">Set</button>
                                        </div>
                                    </form>
                                </div>
                            </td>
                        </tr>
                    </table>
                </mat-expansion-panel>
            </mat-accordion>
        </div>
        <div class="col-12 master-data-wrapper">
            <mat-accordion>
                <mat-expansion-panel [expanded]="true" class="disable_ripple">
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Master Data Setup
                        </mat-panel-title>
                        <mat-panel-description>
                            Click to view details
                        </mat-panel-description>
                    </mat-expansion-panel-header>
                    <section class="form-container">
                        <div class="header-label">
                            <span class="hr-image">
                                <img class="img-fluid" [src]="hrImage" alt="logo">
                            </span>
                            <span class="admin-name">Master Data Setup</span>
                        </div>
                        <mat-tab-group [selectedIndex]="selected.value"
                            (selectedIndexChange)="selected.setValue($event)" #tabGroupEl>
                            <mat-tab label="Online Form">
                                <app-super-admin-finance-form-molecule [editItem]="editItem">
                                </app-super-admin-finance-form-molecule>
                            </mat-tab>
                            <mat-tab label="Upload File">
                                <input #excelInput hidden="true" type="file" onclick="this.value=null"
                                    (change)="fileInputChange($event)"
                                    accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" />
                                <button mat-raised-button color="primary" (click)="excelInput.click()"
                                    class="xl-btn">UPLOAD</button>
                                <button mat-raised-button color="primary" (click)="downloadFile($event)"
                                    class="xl-btn">DOWNLOAD</button>
                            </mat-tab>
                            <mat-tab label="View Master Data">
                                <div *ngIf="detailedInfo !== undefined" class="dashboard-container">
                                    <section class="dashboard-heading">Preview</section>
                                    <mat-accordion>
                                        <mat-expansion-panel [expanded]="true">
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    BP Trans Upload Information
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="bpTransUploadInfoTableData"
                                                [displayedColumn]="bpTransUploadInfoDisplayedColumn"
                                                [isDataAvailable]="isBpTransUploadInfoDataAvailable"
                                                (onEmitFCM)="onEditFCM($event)">
                                            </app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    Customer Information
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="customerInfoTableData"
                                                [displayedColumn]="customerInfoDisplayedColumn"
                                                [isDataAvailable]="isCustomerInfoDataAvailable"
                                                (onEmitFCM)="onEditFCM($event)"></app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    Items Information
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="itemInfoTableData"
                                                [displayedColumn]="itemInfoDisplayedColumn"
                                                [isDataAvailable]="isItemInfoDataAvailable"
                                                (onEmitFCM)="onEditFCM($event)"></app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    Item Upload Information
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="itemUploadInfoTableData"
                                                [displayedColumn]="itemUploadInfoDisplayedColumn"
                                                [isDataAvailable]="isItemUploadInfoDataAvailable"
                                                (onEmitFCM)="onEditFCM($event)"></app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    Opening Balance Information
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="openingBalanceInfoTableData"
                                                [displayedColumn]="openingBalanceInfoDisplayedColumn"
                                                [isDataAvailable]="isOpeningBalanceInfoDataAvailable"
                                                (onEmitFCM)="onEditFCM($event)">
                                            </app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    Supplier Information
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="supplierInfoTableData"
                                                [displayedColumn]="supplierInfoDisplayedColumn"
                                                [isDataAvailable]="isSupplierInfoDataAvailable"
                                                (onEmitFCM)="onEditFCM($event)"></app-table-molecule>
                                        </mat-expansion-panel>

                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    Fixed Asset Details
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="fixedAssetInfoTableData"
                                                [displayedColumn]="fixedAssetDisplayedColumn"
                                                [isDataAvailable]="isFixedAssetTableData"
                                                (onEmitFCM)="onEditFCM($event)"></app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    Warehouse Details
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="warehouseInfoTableData"
                                                [displayedColumn]="warehouseDisplayedColumn"
                                                [isDataAvailable]="iswarehouseTableData"
                                                (onEmitFCM)="onEditFCM($event)"></app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    General Ledger Details
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="glTableData"
                                                [displayedColumn]="glDisplayedColumn" [isDataAvailable]="isGLTableData"
                                                (onEmitFCM)="onEditFCM($event)">
                                            </app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    Period
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="periodTableData"
                                                [displayedColumn]="periodDisplayedColumn"
                                                [isDataAvailable]="isPeriodTableData" (onEmitFCM)="onEditFCM($event)">
                                            </app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    Dimension Details
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="dimensionTableData"
                                                [displayedColumn]="dimensionDisplayedColumn"
                                                [isDataAvailable]="isDimensionTableData"
                                                (onEmitFCM)="onEditFCM($event)"></app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    VAT Details
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="vatTableData"
                                                [displayedColumn]="vatDisplayedColumn"
                                                [isDataAvailable]="isVATTableData" (onEmitFCM)="onEditFCM($event)">
                                            </app-table-molecule>
                                        </mat-expansion-panel>
                                        <mat-expansion-panel>
                                            <mat-expansion-panel-header>
                                                <mat-panel-title>
                                                    Sales Representative
                                                </mat-panel-title>
                                                <mat-panel-description>
                                                </mat-panel-description>
                                            </mat-expansion-panel-header>
                                            <app-table-molecule [tableData]="salesTableData"
                                                [displayedColumn]="salesDisplayedColumn"
                                                [isDataAvailable]="isSalesRepableData" (onEmitFCM)="onEditFCM($event)">
                                            </app-table-molecule>
                                        </mat-expansion-panel>
                                    </mat-accordion>
                                </div>
                            </mat-tab>
                        </mat-tab-group>
                    </section>
                </mat-expansion-panel>
            </mat-accordion>
        </div>
    </div>
</div>